var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.Pager=void 0;var _extends2=_interopRequireDefault(require("@babel/runtime/helpers/extends"));var _slicedToArray2=_interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));var _objectWithoutProperties2=_interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));var React=_interopRequireWildcard(require("react"));var _reactNative=require("react-native");var _reactNativeReanimated=_interopRequireWildcard(require("react-native-reanimated"));var _constants=require("../../../constants");var _debounce=require("../../common/utils/debounce");var _excluded=["automaticallyAdjustContentInsets","children","contentContainerStyle","contentOffset","directionalLockEnabled","disableScrollToPosition","initialPage","keyboardDismissMode","minScrollHeight","onChangeTab","onMomentumScrollBegin","onMomentumScrollEnd","onScroll","onScrollBeginDrag","onScrollEndDrag","page","pageContainerStyle","rememberTabScrollPosition","scrollEventThrottle","scrollHeight","scrollRef","scrollValue","scrollsToTop","showsHorizontalScrollIndicator","swipedPage"];var _this=this,_jsxFileName="/Users/vagrant/git/src/predefinedComponents/TabbedHeader/components/Pager.tsx";function _getRequireWildcardCache(nodeInterop){if(typeof WeakMap!=="function")return null;var cacheBabelInterop=new WeakMap();var cacheNodeInterop=new WeakMap();return(_getRequireWildcardCache=function _getRequireWildcardCache(nodeInterop){return nodeInterop?cacheNodeInterop:cacheBabelInterop;})(nodeInterop);}function _interopRequireWildcard(obj,nodeInterop){if(!nodeInterop&&obj&&obj.__esModule){return obj;}if(obj===null||typeof obj!=="object"&&typeof obj!=="function"){return{default:obj};}var cache=_getRequireWildcardCache(nodeInterop);if(cache&&cache.has(obj)){return cache.get(obj);}var newObj={};var hasPropertyDescriptor=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var key in obj){if(key!=="default"&&Object.prototype.hasOwnProperty.call(obj,key)){var desc=hasPropertyDescriptor?Object.getOwnPropertyDescriptor(obj,key):null;if(desc&&(desc.get||desc.set)){Object.defineProperty(newObj,key,desc);}else{newObj[key]=obj[key];}}}newObj.default=obj;if(cache){cache.set(obj,newObj);}return newObj;}var NOOP=function NOOP(){};var SCROLL_TO_PAGE_OFFSET_TIMEOUT=250;var AnimatedFlatList=_reactNativeReanimated.default.createAnimatedComponent(_reactNative.FlatList);var Pager=React.forwardRef(function(_ref,ref){var _ref$automaticallyAdj=_ref.automaticallyAdjustContentInsets,automaticallyAdjustContentInsets=_ref$automaticallyAdj===void 0?false:_ref$automaticallyAdj,children=_ref.children,contentContainerStyle=_ref.contentContainerStyle,_contentOffset=_ref.contentOffset,_ref$directionalLockE=_ref.directionalLockEnabled,directionalLockEnabled=_ref$directionalLockE===void 0?true:_ref$directionalLockE,disableScrollToPosition=_ref.disableScrollToPosition,_ref$initialPage=_ref.initialPage,initialPage=_ref$initialPage===void 0?0:_ref$initialPage,_ref$keyboardDismissM=_ref.keyboardDismissMode,keyboardDismissMode=_ref$keyboardDismissM===void 0?'on-drag':_ref$keyboardDismissM,minScrollHeight=_ref.minScrollHeight,onChangeTab=_ref.onChangeTab,onMomentumScrollBegin=_ref.onMomentumScrollBegin,onMomentumScrollEnd=_ref.onMomentumScrollEnd,_onScroll=_ref.onScroll,onScrollBeginDrag=_ref.onScrollBeginDrag,onScrollEndDrag=_ref.onScrollEndDrag,_ref$page=_ref.page,page=_ref$page===void 0?-1:_ref$page,pageContainerStyle=_ref.pageContainerStyle,rememberTabScrollPosition=_ref.rememberTabScrollPosition,_ref$scrollEventThrot=_ref.scrollEventThrottle,scrollEventThrottle=_ref$scrollEventThrot===void 0?16:_ref$scrollEventThrot,scrollHeight=_ref.scrollHeight,scrollRef=_ref.scrollRef,scrollValue=_ref.scrollValue,_ref$scrollsToTop=_ref.scrollsToTop,scrollsToTop=_ref$scrollsToTop===void 0?false:_ref$scrollsToTop,_ref$showsHorizontalS=_ref.showsHorizontalScrollIndicator,showsHorizontalScrollIndicator=_ref$showsHorizontalS===void 0?false:_ref$showsHorizontalS,swipedPage=_ref.swipedPage,rest=(0,_objectWithoutProperties2.default)(_ref,_excluded);var _React$useState=React.useState(function(){return _reactNative.Dimensions.get('window').width;}),_React$useState2=(0,_slicedToArray2.default)(_React$useState,2),containerWidth=_React$useState2[0],setContainerWidth=_React$useState2[1];var containerWidthRef=React.useRef(containerWidth);var _React$useState3=React.useState(initialPage),_React$useState4=(0,_slicedToArray2.default)(_React$useState3,2),currentPage=_React$useState4[0],setCurrentPage=_React$useState4[1];var currentPageRef=React.useRef(currentPage);var horizontalFlatListRef=(0,_reactNativeReanimated.useAnimatedRef)();var horizontalScrollValue=(0,_reactNativeReanimated.useSharedValue)(initialPage*_reactNative.Dimensions.get('window').width);var scrollToTabPositionTimeoutValue=(0,_reactNativeReanimated.useSharedValue)(1);var data=React.useMemo(function(){return React.Children.toArray(children);},[children]);var tabsScrollPosition=React.useRef(Array(data.length).fill(-1));var goToPageAnimationFrame=React.useRef();var isInvertedAndroid=_reactNative.Platform.OS==='android'?_reactNative.I18nManager.isRTL:undefined;React.useEffect(function(){var _horizontalFlatListRe,_horizontalFlatListRe2;(_horizontalFlatListRe=horizontalFlatListRef.current)==null?void 0:_horizontalFlatListRe.scrollToOffset({offset:1,animated:true});(_horizontalFlatListRe2=horizontalFlatListRef.current)==null?void 0:_horizontalFlatListRe2.scrollToOffset({offset:0,animated:true});return function(){(0,_reactNativeReanimated.cancelAnimation)(scrollToTabPositionTimeoutValue);if(goToPageAnimationFrame.current){cancelAnimationFrame(goToPageAnimationFrame.current);}};},[]);React.useEffect(function(){if(page!==currentPageRef.current&&page>=0){goToPage(page);}},[page]);function onContainerLayout(e){var width=e.nativeEvent.layout.width;if(!width||width<=0||Math.round(width)===Math.round(containerWidth)){return;}setContainerWidth(width);containerWidthRef.current=width;goToPageAnimationFrame.current=requestAnimationFrame(function(){goToPage(currentPage);});}function scrollToPage(offset){'worklet';if(_reactNative.Platform.OS==='web'){var _horizontalFlatListRe3;(_horizontalFlatListRe3=horizontalFlatListRef.current)==null?void 0:_horizontalFlatListRe3.scrollToOffset({offset:offset,animated:true});return;}(0,_reactNativeReanimated.scrollTo)(horizontalFlatListRef,offset,0,true);}function scrollToTabPosition(position){'worklet';if(_reactNative.Platform.OS==='web'){var _scrollRef$current;(_scrollRef$current=scrollRef.current)==null?void 0:_scrollRef$current.scrollTo({x:0,y:position,animated:true});return;}(0,_reactNativeReanimated.scrollTo)(scrollRef,0,position,true);}function goToPage(pageNumber){var offset=pageNumber*containerWidthRef.current;handleScrollToTabPosition(currentPage,pageNumber);(0,_reactNativeReanimated.runOnUI)(scrollToPage)(offset);setCurrentPage(page);currentPageRef.current=page;onChangeTab==null?void 0:onChangeTab(currentPage,pageNumber);}function handleScrollToTabPosition(prevPage,newPage){if(!data.length||scrollValue.value===0||disableScrollToPosition){return;}tabsScrollPosition.current[prevPage]=scrollValue.value;var scrollTargetPosition=rememberTabScrollPosition&&tabsScrollPosition.current[newPage]!==-1?tabsScrollPosition.current[newPage]:scrollHeight;scrollToTabPositionTimeoutValue.value=(0,_reactNativeReanimated.withDelay)(SCROLL_TO_PAGE_OFFSET_TIMEOUT,(0,_reactNativeReanimated.withTiming)(scrollToTabPositionTimeoutValue.value*-1,{duration:0},function(){'worklet';scrollToTabPosition(scrollTargetPosition);}));}function handlePossiblePageChange(offsetX){var newPage=Math.round(offsetX/containerWidthRef.current);if(currentPage!==newPage){swipedPage==null?void 0:swipedPage(newPage);onChangeTab==null?void 0:onChangeTab(currentPage,newPage);setCurrentPage(newPage);handleScrollToTabPosition(currentPage,newPage);}}var handlePossiblePageChangeOnWeb=(0,_debounce.debounce)(function(offsetX){var newPage=Math.round(offsetX/containerWidthRef.current);if(currentPageRef.current!==newPage){var prevPage=currentPageRef.current;swipedPage==null?void 0:swipedPage(newPage);onChangeTab==null?void 0:onChangeTab(prevPage,newPage);setCurrentPage(newPage);handleScrollToTabPosition(prevPage,newPage);currentPageRef.current=newPage;}},100);var scrollHandler=(0,_reactNativeReanimated.useAnimatedScrollHandler)({onScroll:function onScroll(e){horizontalScrollValue.value=e.contentOffset.x;_onScroll==null?void 0:_onScroll(e);if(_reactNative.Platform.OS==='web'){var offsetX=e.contentOffset.x;(0,_reactNativeReanimated.runOnJS)(handlePossiblePageChangeOnWeb)(offsetX);}},onBeginDrag:function onBeginDrag(e){onScrollBeginDrag==null?void 0:onScrollBeginDrag(e);},onEndDrag:function onEndDrag(e){onScrollEndDrag==null?void 0:onScrollEndDrag(e);},onMomentumBegin:function onMomentumBegin(e){onMomentumScrollBegin==null?void 0:onMomentumScrollBegin(e);},onMomentumEnd:function onMomentumEnd(e){onMomentumScrollEnd==null?void 0:onMomentumScrollEnd(e);var offsetX=e.contentOffset.x;(0,_reactNativeReanimated.runOnJS)(handlePossiblePageChange)(offsetX);}});React.useImperativeHandle(ref,function(){return{goToPage:goToPage};});var renderItem=React.useCallback(function(_ref2){var item=_ref2.item;return React.createElement(_reactNativeReanimated.default.View,{style:[isInvertedAndroid&&styles.inversionStyle,{width:containerWidth},pageContainerStyle],__self:_this,__source:{fileName:_jsxFileName,lineNumber:237,columnNumber:11}},item);},[containerWidth,isInvertedAndroid,pageContainerStyle]);return React.createElement(_reactNative.View,{style:styles.container,onLayout:onContainerLayout,__self:_this,__source:{fileName:_jsxFileName,lineNumber:254,columnNumber:7}},React.createElement(AnimatedFlatList,(0,_extends2.default)({ref:horizontalFlatListRef},rest,{automaticallyAdjustContentInsets:automaticallyAdjustContentInsets,contentContainerStyle:[_reactNative.Platform.OS==='android'?_reactNative.I18nManager.isRTL?_constants.commonStyles.rowReverse:_constants.commonStyles.row:null,{minHeight:minScrollHeight},contentContainerStyle],contentOffset:{x:initialPage*containerWidth,y:0},data:data,directionalLockEnabled:directionalLockEnabled,horizontal:true,keyExtractor:function keyExtractor(_,i){return""+i;},keyboardDismissMode:keyboardDismissMode,onScroll:scrollHandler,onMomentumScrollBegin:NOOP,onMomentumScrollEnd:NOOP,onScrollBeginDrag:NOOP,onScrollEndDrag:NOOP,pagingEnabled:true,renderItem:renderItem,scrollEventThrottle:scrollEventThrottle,scrollsToTop:scrollsToTop,showsHorizontalScrollIndicator:showsHorizontalScrollIndicator,style:[isInvertedAndroid&&styles.inversionStyle],__self:_this,__source:{fileName:_jsxFileName,lineNumber:255,columnNumber:9}})));});exports.Pager=Pager;var styles=_reactNative.StyleSheet.create({container:{flex:1},inversionStyle:{transform:[{scaleX:-1}]}});
//# sourceMappingURL=Pager.js.map